
From: risto.sandvik@helsinki.fi

Everything freezes when trying to play sounds using the alsa driver opl3sa2
(kernel supplied or 1.0.0rc2) on an Acer Extensa series laptop with the Ali
M1533 PCI to ISA bridge.  Problem exists both in the 2.6 and 2.4 series of
kernels.

Adding AL_M1533 to drivers/pci/quirks.c fixes the problem for both.  This has
been a known problem since 2.2.x (see
http://www.mfn.unipmn.it/~sitta/linux503.html)


 drivers/pci/quirks.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/pci/quirks.c~ali-m1533-hang-fix drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~ali-m1533-hang-fix	2004-01-04 18:26:03.000000000 -0800
+++ 25-akpm/drivers/pci/quirks.c	2004-01-04 18:26:03.000000000 -0800
@@ -858,6 +858,7 @@ static struct pci_fixup pci_fixups[] __d
 	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_VIA,	PCI_DEVICE_ID_VIA_82C586_0,	quirk_isa_dma_hangs },
 	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_VIA,	PCI_DEVICE_ID_VIA_82C596,	quirk_isa_dma_hangs },
 	{ PCI_FIXUP_FINAL,      PCI_VENDOR_ID_INTEL,    PCI_DEVICE_ID_INTEL_82371SB_0,  quirk_isa_dma_hangs },
+	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_AL,	PCI_DEVICE_ID_AL_M1533, 	quirk_isa_dma_hangs },
 	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_INTEL,	PCI_DEVICE_ID_INTEL_82454NX,	quirk_disable_pxb },
 	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_NEC,	PCI_DEVICE_ID_NEC_CBUS_1,	quirk_isa_dma_hangs },
 	{ PCI_FIXUP_FINAL,	PCI_VENDOR_ID_NEC,	PCI_DEVICE_ID_NEC_CBUS_2,	quirk_isa_dma_hangs },

_
